# GCC_RosterUpdateIndication Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_RosterUpdateIndication:

List of all members.

## Public Member Functions

| GCC_RosterUpdateIndication (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_fullRefresh
GCC_RosterUpdateIndication_nodeInformation | m_nodeInformation
GCC_RosterUpdateIndication_applicationInformation | m_applicationInformation

## Constructor & Destructor Documentation

GCC_RosterUpdateIndication::GCC_RosterUpdateIndication | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_RosterUpdateIndication::GetDataLength | ( |  | ) | const

PBoolean GCC_RosterUpdateIndication::Decode | ( | PASN_Stream & | strm | ) |

void GCC_RosterUpdateIndication::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_RosterUpdateIndication::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_RosterUpdateIndication::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_RosterUpdateIndication::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean GCC_RosterUpdateIndication::m_fullRefresh

GCC_RosterUpdateIndication_nodeInformation GCC_RosterUpdateIndication::m_nodeInformation

GCC_RosterUpdateIndication_applicationInformation GCC_RosterUpdateIndication::m_applicationInformation

The documentation for this class was generated from the following file:

- gcc.h